@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

.is-disabled {
    opacity: var(--kendo-disabled-opacity, unset);
    filter: var(--kendo-disabled-filter, unset);
}

.page-header {
    height: 3rem;
    background-color: transparent;
}

.main-drawer .k-drawer {
    box-shadow: 0px 1px 2px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 2px 4px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 4px 8px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 8px 16px 0px rgba(var(--bs-dark-rgb), 0.08);
}

.k-card {
    box-shadow: 0px 1px 2px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 2px 4px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 4px 8px 0px rgba(var(--bs-dark-rgb), 0.08), 0px 8px 16px 0px rgba(var(--bs-dark-rgb), 0.08);
}

/****************************************/
/* Grid header styles */

.k-grid th.left-wrap {
    justify-content: left;
    text-align: left;
    white-space: normal;
    vertical-align: middle;
}

.k-grid th.left-wrap .k-column-title {
    white-space: normal;
}

/* Center */

/* non-sortable headers */
.k-grid th.center-me {
    text-align: center;
}

/* sortable headers */
th.center-me .k-cell-inner > .k-link {
    justify-content: center;
}

.k-grid th.center-wrap {
    justify-content: center;
    text-align: center;
    white-space: normal;
    vertical-align: middle;
}

.k-grid th.center-wrap .k-column-title {
    white-space: normal;
}

/* Right */

/* non-sortable headers */
.k-grid th.align-right {
    text-align: right;
}

.k-grid th.right-wrap {
    justify-content: right;
    text-align: right;
    white-space: normal;
    vertical-align: middle;
}

/* sortable headers */
th.align-right .k-cell-inner > .k-link {
    justify-content: right;
}

/* unbound and non-filterable columns */
.k-grid-header th.align-right.right-padding {
    padding-right: 12px;
}

/* filterable grid, sortable non-filterable columns */
.k-grid-header th.align-right.right-padding > .k-cell-inner {
    margin-right: 0;
}

/****************************************/
/* Grid column styles */

.k-grid td.right-align {
    text-align: right;
}

.k-grid td.left-align {
    text-align: left;
}

.k-grid td.center-align {
    text-align: center;
}

.sticky-right {
    right: 0;
    transform: none;
}

/****************************************/
/*  Button styles */

button.icon-right {
    flex-direction: row-reverse;
}

/*.circle-button {
    padding: .5rem .5rem !important;*/ /* Override k-button style */
/*}*/

.k-checkbox {
    /* Make the border a little darker than the default */
    border-color: rgba(0, 0, 0, 0.4) !important;
}

.slide-in-right {
    animation: .5s 1 alternate slidein;
}

@keyframes slidein {
    from {
        translate: 100% 0;
    }

    to {
        translate: 0 0;
    }
}

/* TODO: Review default styles */
/* TODO: Review body background color.  It's manually set to match Telerik tile layout background. */

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #fafafa;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

/****************************************/
/*  Syncfusion scheduler styles */

.e-schedule {
    min-height: 360px;
}

.e-schedule .e-vertical-view .e-content-wrap .e-appointment,
.e-schedule .e-month-view .e-content-wrap .e-appointment,
.e-schedule .e-timeline-month-view .e-content-wrap .e-appointment,
.e-schedule .e-timeline-view .e-content-wrap .e-appointment {
/*         border-radius: 4px;
border-color: rgb(0,67,120); */
}

.e-schedule .e-timeline-month-view .e-date-header-wrap table col,
.e-schedule .e-timeline-month-view .e-content-wrap table col {
    width: 160px !important;
}

.e-schedule .e-month-view .e-current-date .e-date-header {
    border-radius: calc(var(--e-radius) * 0.25);
}

.e-schedule .e-month-view .e-date-header {
    height: 48px;
}

.e-schedule .e-vertical-view.e-timescale-disable .e-appointment,
.e-schedule .e-month-view .e-appointment,
.e-schedule .e-timeline-month-view .e-appointment,
.e-schedule .e-timeline-view .e-appointment {
    height: 80px;
    width: 100%;
    border-color: rgba(var(--color-sf-primary));
}

.e-schedule .e-vertical-view .e-content-wrap .e-appointment .e-appointment-details,
.e-schedule .e-timeline-month-view .e-content-wrap .e-appointment .e-appointment-details,
.e-schedule .e-timeline-view .e-content-wrap .e-appointment .e-appointment-details {
    padding: 0;
    width: 100%;
}

.e-schedule .e-vertical-view .e-content-wrap .e-appointment .e-appointment-details {
    height: 100%;
}

.e-schedule .e-vertical-view.e-timescale-disable .e-appointment .e-appointment-details,
.e-schedule .e-month-view .e-appointment .e-appointment-details,
.e-schedule .e-timeline-month-view .e-appointment .e-appointment-details,
.e-schedule .e-timeline-view .e-appointment .e-appointment-details {
    /*         font-size: 14px;
    line-height: 22px; */
}

.e-schedule .schedule-item-template-wrap {
    height: 100%;
    width: 100%;
    background: rgba(var(--color-sf-primary-container));
    color: rgba(var(--color-sf-on-primary-container));
    white-space: normal;
}

.e-schedule .schedule-item-template-wrap .schedule-item-header {
    padding: 4px 4px 4px;
    background: rgba(var(--color-sf-primary));
    color: rgba(var(--color-sf-on-primary));
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.e-schedule .schedule-item-template-wrap .schedule-item-header-title {
    font-weight: bold;
    /*         font-size: .875rem; */
    /*         line-height: 1rem; */
}

.e-schedule .schedule-item-template-wrap .schedule-item-time,
.e-schedule .schedule-item-template-wrap .schedule-item-description {
    padding-left: 4px;
    padding-right: 4px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

/****************************************/
/*  Syncfusion card styles */

/* The following e-card styles override the theme hover, focus, and active styles since they incorrectly use 'background-color' instead of 'background'. */
.e-card:hover {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.05), rgba(var(--color-sf-primary), 0.05)), rgba(var(--color-sf-surface));
}

.e-card:focus {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.05), rgba(var(--color-sf-primary), 0.05)), rgba(var(--color-sf-surface));
}

.e-card:active {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.05), rgba(var(--color-sf-primary), 0.05)), rgba(var(--color-sf-surface));
}

.flip-card-back .e-card {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0), rgba(var(--color-sf-primary), 0)), rgba(var(--color-sf-surface));
}

.e-card .e-card-header {
    justify-content: left;
    min-height: fit-content !important;
    /*    background-color: rgba(var(--color-sf-primary));*/
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.95), rgba(var(--color-sf-primary), 0.75)), rgba(var(--color-sf-surface));
    color: rgba(var(--color-sf-on-primary));
}

/*.flipped .e-card .e-card-header {
    background: linear-gradient(0deg, rgba(var(--color-sf-primary), 0.75), rgba(var(--color-sf-primary), 0.75)), rgba(var(--color-sf-surface));
    color: rgba(var(--color-sf-on-primary));
}*/

.e-card .e-card-header .e-card-header-caption .e-card-header-title {
    color: rgba(var(--color-sf-on-primary));
    font-weight: bold !important;
}

.e-card .e-card-header .e-card-header-caption .e-card-sub-title {
    color: rgba(var(--color-sf-on-primary));
}

.e-card .e-card-header .e-card-header-caption .e-card-status-chips .e-chip-list {
    padding-top: .5rem;
    margin-left: -4px; /* Absorb left margin for first chip */
}

/****************************************/
/*  Bootstrap icon styles */

.bi-icon {
    font-size: 1.5rem !important;
}

.bi-icon-md {
    font-size: 1.0rem !important;
    margin-top: -.25rem !important;
}

.bi-arrow-clockwise:before {
    content: "\F116";
}

.bi-arrow-counterclockwise:before {
    content: "\F117";
}

.bi-arrow-left-right:before {
    content: "\F12B";
}

.bi-arrow-repeat:before {
    content: "\F130";
}

.bi-check-circle:before {
    content: "\F26B";
}

.bi-check-square:before {
    content: "\F26D";
}

.bi-collapse:before {
    content: "\F14B";
}

.bi-dash:before {
    content: "\F2EA";
}

.bi-dash-square:before {
    content: "\F2E9";
}

.bi-expand:before {
    content: "\F14C";
}

.bi-image-alt:before {
    content: "\F428";
}

.bi-pencil:before {
    content: "\F4CB";
}

.bi-person:before {
    content: "\F4E1";
}

.bi-person-add:before {
    content: "\F89A";
}

.bi-person-dash-fill:before {
    content: "\F4D8";
}

.bi-person-fill-add:before {
    content: "\F89D";
}

.bi-person-fill-up:before {
    content: "\F8A5";
}

.bi-person-plus:before {
    content: "\F4DD";
}

.bi-person-plus-fill:before {
    content: "\F4DC";
}

.bi-person-trash:before {
    content: "\F5DE";
}

.bi-person-up:before {
    content: "\F8AA";
}

.bi-reply:before {
    content: "\F520";
}

.bi-reply-fill-rotate-y:before {
    content: "\F51F";
    transform: rotateY(180deg);
}

.bi-slash-circle:before {
    content: "\F567";
}

.bi-star:before {
    content: "\F588";
}

.bi-star-fill:before {
    content: "\F586";
}

.bi-x-circle:before {
    content: "\F623";
}